import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import java.awt.*;
class Example implements HyperlinkListener{
	Example(){
		JFrame fr=new JFrame();
		JPanel p=new JPanel();
		p.setLayout(new BorderLayout());
		JUTree e=new JUTree("JUTree - expanded and ticked",true,0);
		e.makeTree(new File(System.getProperty("java.home")));
		JUTree e2=new JUTree("JUTree - unexpanded but ticked",false,0);
		//change the filefilter before calling makeTree
		e2.setFileFilter(new FileFilter(){public boolean accept(File f){return(true);}});		
		//The preferred way of intializing the tree
		e2.makeTree(new File(System.getProperty("user.home")));
		JUTree e3=null;
		try{e3=new JUTree(
			"HyperlinkListener added & untickable",false,JUTree.CANNOT_BE_TICKED,new ImageIcon[]{
				new ImageIcon(Example.class.getResource("images/bcl.gif")),
				null,null,new ImageIcon(Example.class.getResource("images/bop.gif")),
				null,new ImageIcon(Example.class.getResource("images/hfi.gif"))
			},new File(Example.class.getResource("helpfile").toURI()),
			new FileFilter(){public boolean accept(File f){return((f.isDirectory()||f.getName().endsWith("htm")||f.getName().endsWith("html")));}},
			null,true,true,this
		);}catch(java.net.URISyntaxException ew){}
		p.add(new JScrollPane(e),BorderLayout.CENTER);
		p.add(new JScrollPane(e2),BorderLayout.WEST);
		p.add(new JScrollPane(e3),BorderLayout.EAST);
		fr.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		fr.setPreferredSize(new Dimension(800,600));
		fr.getContentPane().add(p);
		fr.pack();
		fr.setVisible(true);
	}
	public void hyperlinkUpdate(HyperlinkEvent e) {
		System.out.println(e);
	}
	public static void main(String args[])throws Exception{
		UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		new Example();
	}
}